#ifndef _RIFLE_H_
#define _RIFLE_H_

using namespace std;

class Rifle
{
public:
    Rifle(double barrel_length=0, double bore=0, double groove_depth=0);
    ~Rifle();

    void readPressure(const char *filename);
    void calculateVelocity(double bullet_mass);
    void calculateAcceleration();
    void calculateTime();
    
    double muzzleVelocity() const;
    double muzzleTime() const;
    
    void tabulateVelocity(ostream& os);
    void tabulateAcceleration(ostream& os);


private:
    double m_barrel_length;
    double m_bore;
    double m_groove_depth;
    
    int m_num_points;
    
    double *m_time;
    double *m_length;
    double *m_pressure;
    double *m_velocity;
    double *m_acceleration;
};

#endif
