import matplotlib.pyplot as pl
import numpy as np


xlabels = {'trajectory': "x, m", "velocity": "t, s"}
ylabels = {'trajectory': "y, m", "velocity": "v, m/s"}

for name in ['US_1', 'R_1']:
    for kind in ['trajectory', 'velocity']:
        angles = [25, 35, 45, 55]
        data = []
        for angle in angles:
            fname = "{}_{}_{}.txt".format(kind, name, angle)
            data.append(np.loadtxt(fname, delimiter=',', unpack=True))
        pl.xlabel(xlabels[kind])
        pl.ylabel(ylabels[kind])
        pl.title(kind.title() + " of " + name + " rifle")
        for (x, y), angle in zip(data, angles):
            pl.plot(x, y, label=r"$"+str(angle)+"^\circ$")
        pl.legend(loc='best')
        pl.savefig("{}_{}.pdf".format(kind, name), bbox_inches='tight')
        pl.close()


ylabels = {'acceleration': "a, m/s^2", "velocity": "v, m/s"}
for kind in ['acceleration', 'velocity']:
    data = []
    for name in ['US_1', 'R_1']:
        fname = "bullet_{}_{}.txt".format(kind, name)
        data.append(np.loadtxt(fname, delimiter=',', unpack=True))
    pl.xlabel("L, m")
    pl.ylabel(ylabels[kind])
    pl.title("Bullet " + kind)
    for (x, y), name in zip(data, ['US_1', 'R_1']):
        pl.plot(x, y, label=name)
    pl.legend(loc='best')
    pl.savefig("bullet_{}.pdf".format(kind), bbox_inches='tight')
    pl.close()
